TransactionRef (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.naming, class: TransactionRef

# Class TransactionRef

java.lang.Object
javax.naming.Reference
org.apache.naming.AbstractRef
org.apache.naming.TransactionRef

All Implemented Interfaces:
  `Serializable, Cloneable`

public class TransactionRef extends AbstractRef
Represents a reference address to a transaction.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_FACTORY`
  Default factory for this reference.

  ### Fields inherited from class Reference

  `addrs, classFactory, classFactoryLocation, className`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionRef()`
  Resource Reference.
  `TransactionRef(String factory, String factoryLocation)`
  Resource Reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDefaultFactoryClassName()`
  Returns the default factory class name.

  ### Methods inherited from class AbstractRef

  `getFactoryClassName, toString`

  ### Methods inherited from class Reference

  `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FACTORY

    public static final String DEFAULT_FACTORY
    Default factory for this reference.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TransactionRef

    public TransactionRef()
    Resource Reference.

  - ### TransactionRef

    public TransactionRef(String factory, String factoryLocation)
    Resource Reference.
    Parameters:
      `factory` - The factory class
      `factoryLocation` - The factory location

- ## Method Details

  - ### getDefaultFactoryClassName

    protected String getDefaultFactoryClassName()
    Description copied from class: `AbstractRef`
    Returns the default factory class name.
    Specified by:
      `getDefaultFactoryClassName` in class `AbstractRef`
    Returns:
      the default factory class name